<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Home_tab extends MY_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->library('Pages_model');
    }

    //
    // 'page' functions
    //
    public function home(){
        $page = 'home';
        $data['onTab'] = 'home';
        $data = !empty($data) ? $data : array();
        if ($this->session->userdata('userStatus'))  $data['allowAccess'] = true; // login required to access

        $homeInfo = $this->pages_model->pages['home_page'];
        $homeInfo->load();
        foreach ($homeInfo->fields AS $field) {
            $homeData[$field->name]=$field->read_value($homeInfo->json);
        }
        $data['homeData'] = &$homeData;

        $json_diag_string=shell_exec("diagnostics");
        if ($json_diag_string) {
          $json_diag_array=json_decode($json_diag_string,true);
          if (!$json_diag_array) throw new Exception('Error reading diagnostics JSON data');
          $data['diagdata'] = &$json_diag_array;
        }

        $this->_view_page($page,$data);
    }

    // 'utility' functions
    //
    protected function _view_page($page,$data){
        $this->_view_dir_page('home_tab',$page,$data);
    }
}
?>
