<?php

$lang['i_IoLinkOptions'] = 'IO-Link Options';
$lang['i_PortName'] = 'Port Name';
$lang['i_Mode'] = 'Port Mode';
$lang['i_InvertIO'] = 'Invert IO';
$lang['i_MinCycleMs'] = 'Minimum Cycle Time';

$lang['e_EthernetipOptions'] = 'EtherNet/IP Options';
$lang['e_EthernetipSpecificSettings'] = 'EtherNet/IP Specific Options';
$lang['e_SpduDataSettings'] = 'ISDU Data Settings:';
$lang['e_SpduResponseTimeout'] = 'ISDU Response Timeout';
$lang['e_ProcessDataSettings'] = 'Process Data Settings:';
$lang['e_PdiDataBlockSize'] = 'PDI Data Block Size (To PLC)';
$lang['e_PdoDataBlockSize'] = 'PDO Data Block Size (From PLC)';
$lang['e_PdiDataFormat'] = 'PDI Data Block Format (To PLC)';
$lang['e_PdoDataFormat'] = 'PDO Data Block Format (From PLC)';
$lang['e_PdiByteSwapMethod'] = 'PDI Data Byte-Swap Method';
$lang['e_PdoByteSwapMethod'] = 'PDO Data Byte-Swap Method';
$lang['e_PdiReceiveModes'] = 'PDI Receive Mode(s) (To PLC)';
$lang['e_TransferModeSettings'] = 'Transfer Mode Settings:';
$lang['e_PdoTransmitModes'] = 'PDO Transmit Mode (From PLC)';
$lang['e_ReadWriteTagSettings'] = 'Read/Write Tag/File Settings:';
$lang['e_PlcIpAddress'] = 'PLC IP Address';
$lang['e_PlcSlotNumber'] = 'PLC Controller Slot Number';
$lang['e_PlcType'] = 'PLC Type';
$lang['e_WriteToTagSettings'] = 'Write PDI to Tag/File Settings:';
$lang['e_PdiTagName'] = 'PDI Tag/File Name';
$lang['e_PdiMaxPlcUpdateRate'] = 'Maximum PLC Update Rate';
$lang['e_PdiHeartBeatEnable'] = 'Heartbeat Update Enable';
$lang['e_PdiHeartbeatRate'] = 'Heartbeat Update Rate';
$lang['e_AppendPdoToPdiData'] = 'Append PDO to PDI Data';
$lang['e_ReadFromTagSettings'] = 'Read PDO from Tag/File Settings:';
$lang['e_PdoTagName'] = 'PDO Tag/File Name';
$lang['e_PdoPollRate'] = 'PLC Poll Rate';
$lang['e_ClearEventInPdoBlk'] = 'Clear Event Code In PDO Block';
$lang['e_ClearEventAfterHoldTime'] = 'Clear Event Code After Hold Time';
$lang['e_EventActiveHoldTime'] = 'Active Event Hold Time';
$lang['e_EventHoldTimeUnits'] = 'Event Hold Time Units';
$lang['e_EventClearedHoldTime'] = 'Clear Event Hold Time';
$lang['e_EventClearTimeUnits'] = 'Event Clear Time Units';
$lang['e_IpAddrCnflctDetectEnbl'] = 'IP Address Conflict Detection';
$lang['e_EnetipTTL_Value'] = 'TTL (Time To Live) Network Value';
$lang['e_EnetipMcastAllocControl'] = 'Multicast IP Address Allocation Control';
$lang['e_EnetipNumMcast'] = 'User-Defined Number of Multicast IP Addresses';
$lang['e_EnetipMcastStartAddr'] = 'User-Defined Multicast Start IP Address (239.192.1.0 - 239.255.255.255)';

$lang['m_ModbusOptions'] = 'Modbus/TCP Options';
$lang['m_SpduDataSettings'] = 'ISDU Data Settings:';
$lang['m_SpduResponseTimeout'] = 'ISDU Response Timeout';
$lang['m_ProcessDataSettings'] = 'Process Data Settings:';
$lang['m_PdiDataBlockSize'] = 'PDI Data Block Size (To PLC)';
$lang['m_PdoDataBlockSize'] = 'PDO Data Block Size (From PLC)';
$lang['m_PdiByteSwapMethod'] = 'PDI Byte-Swap Method';
$lang['m_PdoByteSwapMethod'] = 'PDO Byte-Swap Method';
$lang['m_AppendPdoToPdiData'] = 'Append PDO to PDI Data';
$lang['m_TransferModeSettings'] = 'Transfer Mode Settings:';
$lang['m_PdiReceiveModes'] = 'PDI Receive Mode(s) (To PLC)';
$lang['m_PdoTransmitModes'] = 'PDO Transmit Mode(s) (From PLC)';
$lang['m_PDIMasterModeSettings'] = 'Master Mode Settings:';
$lang['m_PlcIpAddress'] = 'PLC IP Address';
$lang['m_PlcDeviceId'] = 'PLC Device ID';
$lang['m_SlaveModeDeviceId'] = 'Slave Mode Device ID';
$lang['m_MasterPDIRXSettings'] = 'Master PDI RX Settings:';
$lang['m_PdiHldgRegAddr'] = 'Holding Register Address';
$lang['m_PdiMaxPlcUpdateRate'] = 'Maximum PLC Update Rate';
$lang['m_PdiHeartBeatEnable'] = 'Heartbeat Update Enable';
$lang['m_PdiHeartbeatRate'] = 'Heartbeat Update Rate';
$lang['m_MasterPDOTXSettings'] = 'Master PDO TX Settings:';
$lang['m_PdoHldgRegAddr'] = 'Holding Register Address';
$lang['m_PdoPollRate'] = 'Poll Rate';
$lang['m_ClearEventInPdoBlk'] = 'Clear Event Code In PDO Block';
$lang['m_ClearEventAfterHoldTime'] = 'Clear Event Code After Hold Time';
$lang['m_EventActiveHoldTime'] = 'Active Event Hold Time';
$lang['m_EventHoldTimeUnits'] = 'Event Hold Time Units';
$lang['m_EventClearedHoldTime'] = 'Clear Event Hold Time';
$lang['m_EventClearTimeUnits'] = 'Event Clear Time Units';


$lang['Byte-8'] = 'byte (8 bit)';
$lang['Word-16'] = 'word (16 bit)';
$lang['Dword-32'] = 'dword (32 bit)';
$lang['No-Byte-Swap'] = 'no byte-swap';
$lang['Word-16-Swap'] = 'word (16 bit) byte-swap';
$lang['Dword-32-Swap'] = 'dword (32 bit) byte-swap';

$lang['4-bytes'] = '4 bytes';
$lang['8-bytes'] = '8 bytes';
$lang['16-bytes'] = '16 bytes';
$lang['24-bytes'] = '24 bytes';
$lang['36-bytes'] = '36 bytes';

$lang['IOLink'] = '';
$lang['DI'] = '';
$lang['DO'] = '';
$lang['Fallback'] = '';

$lang['Polling'] = '';
$lang['Class1'] = '';
$lang['Write-to-Tag/File'] = '';
$lang['PLC-Writes'] = '';

$lang['ControlLogix'] = '';
$lang['SLC'] = '';
$lang['PLC-5'] = '';
$lang['MicroLogix"'] = '';

$lang['ChangeOfState'] = '';
$lang['HeartBeat'] = '';
$lang['ChangeOfState/HeartBeat'] = '';
$lang['Always'] = '';
$lang['bytes'] = '';

$lang['Static'] = '';
$lang['IODD Format'] = '';

$lang['Slave'] = '';
$lang['Master'] = '';

$lang['static'] = '';
$lang['dynamic'] = '';

// Network Page
$lang['Hostname'] = 'Host Name';
$lang['IPv4mode'] = 'IP Type';
$lang['IPv4address'] = 'IP Address';
$lang['IPv4netmask'] = 'Subnet Mask';
$lang['IPv4gateway'] = 'Gateway Address';
$lang['IPv4DNS1'] = 'DNS 1';
$lang['IPv4DNS2'] = 'DNS 2';
$lang['SyslogServer'] = 'Syslog Server IP/Hostname';
$lang['SyslogPort'] = 'Syslog Server Port';
$lang['SshServerEnable'] = 'SSH Server Enable';

// Error messages:

$lang['err_min'] = 'Minimum';
$lang['err_max'] = 'Maximum';
$lang['err_numeric'] = 'Must be numeric';
$lang['err_required'] = 'Required field';
$lang['err_iprequired'] = 'IP Address Required';
$lang['err_ipinvalid'] = 'Invalid IP Address';
$lang['err_checkone'] = 'Check at least one';


// Home Page
$lang['Modelname'] = "Model Name";
$lang['SerialNumber'] = "Serial Number";
$lang['MACAddress'] = "MAC Address";
$lang['applicationbase'] = 'Application Base';
$lang['uptime'] = 'Uptime';
$lang['iolink_errors'] = 'IO-Link Errors';
$lang['ethernetip_errors'] = 'EtherNet/IP Errors';
$lang['modbustcp_errors'] = 'Modbus/TCP Errors';
?>
