<div class="page-content">
    <div class="page-header">
		<h1><?php echo lang_x('log_files')?></h1>

                <div class="header-options">
                    <div class="log-select">
                        <label for="logs"><?php echo lang_x('select_log_file')?></label>
                        <select name="logs" id="logs" onchange="loadFile()">
                            <?php
                            echo '<option value="none"> - - - - - </option>';
                            foreach ($listLogFiles as $logFile){
                                $fileTitle = lang_d($logFile);
                                echo "<option value='$logFile'>$fileTitle</option>";
                            }
                            ?>
                        </select>
                    </div><!-- .log-select -->
                    <a class="btn" onclick="loadFile()"><?php echo lang_x('refresh')?></a>
                    <?php if ($canClear) { ?>
                    <a class="btn" onclick="clearFile()"><?php echo lang_x('clear')?></a>
                    <?php } ?>
                    <a class="btn" onclick="exportFile()"><?php echo lang_x('export')?></a>
		</div><!-- .header-options -->

    </div>
    <hr />
    <div class="display-log"></div>
</div>
<script type="text/javascript">
    function loadFile(){
        if ( 'none' == $('#logs').val() ){
            return false;
        } else {
            $('div.display-log').load('<?php echo "{$wwwroot}advanced_tab/log_files/get/" ?>' + $('#logs').val())
        }
    }

    function clearFile(){
        if ( 'none' == $('#logs').val() ){
            return false;
        } else {
            $('div.display-log').load('<?php echo "{$wwwroot}advanced_tab/log_files/clear/" ?>' + $('#logs').val())
        }
    }

    function exportFile(){
        if ( 'none' == $('#logs').val() ){
            return false;
        } else {
            window.open('<?php echo "{$wwwroot}advanced_tab/log_files/export/" ?>' + $('#logs').val() , '_blank');
        }
    }
</script>