<div class="page-content">
  <div class="page-header">
    <h1><?php echo lang_x('software') ?></h1>
    <a class="latest-version" href="#">Check for latest version</a>
  </div>
  <hr />
  <table width=100%>
  <tr><th colspan=99>Images
    <?php
    if ( !empty($partitions) ) {
      foreach($partitions as $partition=>$pVersion){
        echo "<tr>";
        echo "<td width=30%>" . lang_x($partition);
        if (!$canUpload) {
          echo "<td> $pVersion";
        } 
        else {
          if ($partition != $showImageFileForm) {
            echo "<td> $pVersion";
            echo "<td align=center><a class='btn' href='/software/img_update/$partition'>Update</a>\n";
          }
          else {
            echo 
            "<td colspan=2>" .
            "<form method='post' enctype='multipart/form-data' action='/software/img_upload/$partition'>" .
            "<input type='file' name='img_upload'/>" .
            "<input type='submit' class='popupSubmit' name='app_submit' value='" . lang_x('install') . "' />" .
            "</form>\n";
          }
        }
      }
    }
    ?>
  </table>
  <br>
  <table width=100%>
    <tr><th colspan=99>Applications
    <?php foreach($applications as $app=>$aVersion){
    if ($app != "application-base") { ?>
    <tr class="app-sub">
      <td width=30% class="app-name"><?php echo lang_d($app) ?></td>
      <td class="app-version"><?php echo $aVersion ?></td>
    </tr>
    <?php } } ?>
  </table>

  <?php if ($canUpload) { ?>
    <br>
      <table width=100% class=borderless>
        <tr>
          <td border="0">
            <form method="post" enctype="multipart/form-data" action="/software/app_upload">
              <legend><?php echo lang_x('update_application') ?></legend>
              <input type="file" name="app_upload" />
              <input type="submit" class='popupSubmit' name="app_submit" value="<?php echo lang_x('install') ?>" />
            </form>
          </td>
          <td style="vertical-align:bottom;  text-align:right">
            <form method="post" action="/software/reboot">
              <input type="submit" class='popupSubmit' name="reboot" value="<?php echo lang_x('Reboot') ?>" />
            </form>
          </td>
        </tr>
      </table>
  <?php } ?>
</div>

<div class="popup<?php echo " $popShow" ?>" id="softpop">
    <?php echo $popContent ?>
</div>

<script type="text/javascript">
    disableEmptyFileInputs();
</script>