 <div class="page-content">
    <div class="page-header">
        <h1><?php echo lang_d('page_iolink_diag')?></h1>
        <div class="header-options">
            <a class="btn" onclick="toggle_update()" id="btn-live-update"><?php echo lang_x('pause_live_updates') ?></a>
            <a class="btn" onclick="reset()"><?php echo lang_x('reset_statistics') ?></a>
        </div>
    </div>
    <hr />    
    <table class="full">
        <thead>
            <tr>
                <th><?php echo lang_x('iolink_diagnostics')?></th>
<?php
for ($port=1 ; $port <= $this->numPorts; $port++){
?>
               	<th><?php echo lang_x('port') ?><?php echo $port ?></th>
<?php
}
?>
            </tr>
        </thead>
        <tbody id="iolink-portinfo">
            <?php echo $portInfo->get_value_port_rows(); ?>
        </tbody>
    </table>

<p id="msg"></p>
</div>
<script type='text/javascript'>
    numPorts = <?php echo $this->numPorts; ?>;
    liveUpdate = true;

    function toggle_update(){
         if (liveUpdate){
             $('#btn-live-update').text('<?php echo lang_x('resume_live_updates') ?>');
         } else {
             $('#btn-live-update').text('<?php echo lang_x('pause_live_updates') ?>');
         }
         liveUpdate = !liveUpdate;
     }

    function reload(){
        $('#iolink-portinfo').load('<?php echo "{$wwwroot}diagnostics_tab/ports/reload" ?>');
    }

    function reset(){
        $('#iolink-portinfo').load('<?php echo "{$wwwroot}diagnostics_tab/ports/reset" ?>') ;
        alert('<?php echo lang_x('port_reset_success_message') ?>');
        reload();
    }

    setInterval(function() {
      if (liveUpdate){ // Do liveupdates
         reload();
      }
    }, <?php echo (!empty($portInfo->updaterate)) ? $portInfo->updaterate * 1000 : $this->updaterate ;  ?> );

</script>