<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Help_tab extends MY_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->library('Pages_model');
        $this->load->library('Software_manager');
    }

    //
    // 'page' functions
    //

    public function help (){
       $page = 'help';
       $data['onTab'] = 'help';
       $data['allowAccess']=true;
       $this->_view_page($page,$data);
    }

    public function support (){
      $page = 'support';
      $data['onTab'] = 'help';
      $data['allowAccess']=true;
      $data['partitions'] = $this->software_manager->getPartitionVersions();
      $data['applications'] = $this->software_manager->getApplicationVersions();
      $supportInfo = $this->pages_model->pages['support_page'];
      $supportInfo->load();
      foreach ($supportInfo->fields AS $field) {
        $supportData[$field->name]=$field->read_value($supportInfo->json);
      }
      $data['supportData'] = &$supportData;
      $this->_view_page($page,$data);
    }

    public function contact (){
       $page = 'contact';
       $data['onTab'] = 'help';
       $data['allowAccess']=true;
       $this->_view_page($page,$data);
    }



    //
    // 'utility' functions
    //
    protected function _view_page($page,$data){
        $this->_view_dir_page('help_tab',$page,$data);
    }
}
?>