<?php
if (! function_exists('lang_file_exists'))
{
        function lang_file_exists($language, $name){
            return file_exists("application/language/{$language}/{$name}_lang.php");
        }
}

if (! function_exists('load_lang_d'))
{
    function load_lang_d(&$ci, $file, $lang=false ) {
        if (empty($lang)){
            $lang = $ci->session->userdata('language') ;
        }
        if ( lang_file_exists($lang, $file) ){
            $ci->lang->load($file, $lang) ;
        } else {
            $ci->lang->load($file, $ci->defaultLanguage);
        }
    }
}

if (! function_exists('lang_d'))
{
  function lang_d($val) {
    $l=lang($val);
   return $l?$l:$val;
  }
}

if (! function_exists('lang_x'))
{
  /*
   * For dev use - lets us easily see when we have missing lang terms.
   * For production, we can globally replace with lang_d() or / and change this function to work as lang_d()
   */
  function lang_x($val) {
    $l=lang($val);
   return $l?$l:"-=[ {$val} ]=-";
  }
}
?>