<?php
if (lang_file_exists($language, 'accounts')) {
  $this->lang->load('accounts', $language);
} else {
  $this->lang->load('accounts', $this->defaultLanguage);
}
?>

    <div class="page-content">
      <div class="page-header">
        <h1><?php echo lang('page_advanced_accounts') ?></h1>
      </div>
      <hr />

      <div class="activity w95">
          <div class="activity_head">
            <h3 class="no_vert"><?php if ($pageerrors)
      echo "<span class='small page-error'>$pageerrors</span>"; ?></h3>
          </div>
        <div class="activity_body">
      <form method='post' target='../account/advanced_accounts'>
        <script type="text/javascript">
          function toggle_set(i){
            if ($('#'+i+'pn').attr('disabled')) {
              $('#'+i+'pn').removeAttr('disabled')
            } else {
              $('#'+i+'pn').attr('disabled','disabled')
            }
            if ($('#'+i+'pc').attr('disabled')) {
              $('#'+i+'pc').removeAttr('disabled')
            } else {
              $('#'+i+'pc').attr('disabled','disabled')
            }
          }
        </script>

        <table class="left25 full">
          <tr><th><?php echo lang_x('Admin') ?></th><th><input type="checkbox" name="AdminPassword_checkbox" onclick="toggle_set('a')" value="changed"/></th></tr>
          <tr>
            <td><?php echo lang_x('old_password') ?></td>
            <td><input type="password" name="AdminPassword_old" value="" <?php if ($config == '')
      echo ' disabled="disabled"'; ?>/></td>
          </tr>
          <tr>
            <td><?php echo lang_x('new_password') ?></td>
            <td><input type="password" name="AdminPassword" id="apn" disabled="disabled"/></td>
          </tr>
          <tr>
            <td><?php echo lang_x('confirm_password') ?></td>
            <td><input type="password" name="AdminPassword_confirm" id="apc" disabled="disabled"/></td>
          </tr>

          <tr><td class="pass-error" colspan="2"><?= array_key_exists('AdminPassword', $fielderrors)? $fielderrors['AdminPassword'] : '&nbsp'?></td></tr>
          <tr><th><?php echo lang_x('Operator') ?></th><th><input type="checkbox" name="OperatorPassword_checkbox" onclick="toggle_set('o')" value="changed"/></th></tr>

          <tr>
            <td><?php echo lang_x('new_password') ?></td>
            <td><input type="password" name="OperatorPassword" id="opn" disabled="disabled"/></td>
          </tr>
          <tr>
            <td><?php echo lang_x('confirm_password') ?></td>
            <td ><input type="password" name="OperatorPassword_confirm" id="opc" disabled="disabled"/></td>
          </tr>

          <tr><td class="pass-error" colspan="2"><?= array_key_exists('OperatorPassword', $fielderrors)? $fielderrors['OperatorPassword'] : '&nbsp'?></td></tr>
          <tr><th><?php echo lang_x('User') ?></th><th><input type="checkbox" name="UserPassword_checkbox" onclick="toggle_set('u')" value="changed"/></th></tr>
          <tr>
            <td><?php echo lang_x('new_password') ?></td>
            <td><input type="password" name="UserPassword" id="upn" disabled="disabled"/></td>
          </tr>
          <tr>
            <td><?php echo lang_x('confirm_password') ?></td>
            <td><input type="password" name="UserPassword_confirm" id="upc" disabled="disabled"/></td>
          </tr>
          <tr><td  class="pass-error" colspan="2"><?= array_key_exists('UserPassword', $fielderrors)? $fielderrors['UserPassword'] : '&nbsp'?></td></tr>
          <tr>
            <td colspan=2 style="text-align: right"><br/><br/><input type="submit" value="<?php echo lang_x('apply') ?>" name="submit_accounts" /></td>
          </tr>

        </table>


      </form>
    </div>
  </div>
</div>