<div class="page-content">
    <div class="page-header">
        <h1><?php echo lang_d('page_ethernetip_diag')?></h1>
        <div class="header-options">
            <a class="btn" onclick="toggle_update()" id="btn-live-update"><?php echo lang_x('pause_live_updates') ?></a>
            <a class="btn" onclick="reset()"><?php echo lang_x('reset_statistics') ?></a>
        </div>
    </div>
    <hr />
    <table class="full">
    	<thead>
    	<tr>
    		<th><?php echo lang_x('ethernetip_diags'); ?></th>
    		<th><?php echo lang_x('values'); ?></th>
    	</tr>
    	</thead>
    <tbody id="ethernet-info">
        <?php echo $ethernetInfo->view_value_table(); ?>
    </tbody>
</table>

   <table class="full">
        <thead>
            <tr>
                <th><?php echo lang_x('ethernetip_portdiags')?></th>
<?php
for ($port=1 ; $port <= $this->numPorts; $port++){
?>
               	<th><?php echo lang_x('port') ?><?php echo $port ?></th>
<?php
}
?>
            </tr>
        </thead>
        <tbody id="ethernet-portinfo">
            <?php echo $ethernetInfo->get_value_port_rows(); ?>
        </tbody>
    </table>

<p id="msg"></p>
</div>
 <script type="text/javascript">
     liveUpdate = true;

     function toggle_update(){
         if (liveUpdate){
             $('#btn-live-update').text('<?php echo lang_x('resume_live_updates') ?>');
         } else {
             $('#btn-live-update').text('<?php echo lang_x('pause_live_updates') ?>');
         }
         liveUpdate = !liveUpdate;
     }

    function reload(){
        $('#ethernet-info').load('<?php echo "{$wwwroot}diagnostics_tab/ethernet/reload" ?>');
        $('#ethernet-portinfo').load('<?php echo "{$wwwroot}diagnostics_tab/ethernet/reloadport" ?>');
	}

    setInterval(function() {
      if (liveUpdate){ // Do liveupdates
         reload();
      }
    }, <?php echo (!empty($ethernetInfo->updaterate)) ? $ethernetInfo->updaterate * 1000 : $this->updaterate ;  ?> );

    function reset(){
        $('#ethernet-info').load('<?php echo "{$wwwroot}diagnostics_tab/ethernet/reset" ?>');
        alert('<?php echo lang_x('ethernet_reset_success_msg') ?>');
        reload();
    }

 </script>