 <div class="page-content">

    <div class="page-header">
        <h1><?php echo lang_d('page_modbustcp_diag')?></h1>
        <div class="header-options">
            <a class="btn" onclick="toggle_update()" id="btn-live-update"><?php echo lang_x('pause_live_updates') ?></a>
            <a class="btn" onclick="reset()"><?php echo lang_x('reset_statistics') ?></a>
        </div>
    </div>
    <hr />

    <table class="full">
        <thead>
            <tr>
                <th><?php echo lang_x('modbustcp_diags')?></th>
                <th><?php echo lang_x('values')?></th>
            </tr>
        </thead>
        <tbody id="modbus-info">
            <?php echo $modbusInfo->view_value_table(); ?>
        </tbody>
   </table>

   <table class="full">
        <thead>
            <tr>
                <th><?php echo lang_x('modbustcp_portdiags')?></th>
<?php
for ($port=1 ; $port <= $this->numPorts; $port++){
?>
                <th><?php echo lang_x('port') ?><?php echo $port ?></th>
<?php
}
?>
                </tr>
        </thead>
        <tbody id="modbus-portinfo">
            <?php echo $modbusInfo->get_value_port_rows(); ?>
        </tbody>
    </table>

    <p id="msg"></p>

 </div><!-- end <div class="page-content"> -->

 <script type="text/javascript">
     liveUpdate = true;

     function toggle_update(){
         if (liveUpdate){
             $('#btn-live-update').text('<?php echo lang_x('resume_live_updates') ?>');
         } else {
             $('#btn-live-update').text('<?php echo lang_x('pause_live_updates') ?>');
         }
         liveUpdate = !liveUpdate;
     }

    function reload(){
        $('#modbus-info').load('<?php echo "{$wwwroot}diagnostics_tab/modbus/reload" ?>');
        $('#modbus-portinfo').load('<?php echo "{$wwwroot}diagnostics_tab/modbus/reloadport" ?>');
    }

    setInterval(function() {
      if (liveUpdate){ // Do liveupdates
         reload();
      }
    }, <?php echo (!empty($modbusInfo->updaterate)) ? $modbusInfo->updaterate * 1000 : $this->updaterate ; ?> );

    function reset(){
        $('#modbus-info').load('<?php echo "{$wwwroot}diagnostics_tab/modbus/reset" ?>');
        alert('<?php echo lang_x('modbus_reset_success_msg') ?>');
        reload();
}

 </script>